<?php

if ( !defined( 'ABSPATH' ) ) exit();

add_action( 'cmb2_init', 'ova_project_metaboxes' );
function ova_project_metaboxes() {

    // Start with an underscore to hide fields from custom fields list
    $prefix = 'ova_project_';
    
    /* Portfolio Settings */
    $project_settings = new_cmb2_box( array(
        'id'            => 'ovaproject_settings',
        'title'         => esc_html__( 'Settings', 'ova-project' ),
        'object_types'  => array( 'ova_projects'), // Post type
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true,
        
    ) );

    $project_settings->add_field( array(
        'name' => esc_html__( 'Gallery', 'ova-project' ),
        'id'   => $prefix . 'gallery',
        'type' => 'file_list',
    ) );


    // Services
    $project_settings->add_field( array(
        'name'    => esc_html__( 'Services:', 'ova-project' ),
        'default' => esc_html__( 'Interior design', 'ova-project' ),
        'id'      => $prefix.'service',
        'type'    => 'text',
    ) );

    // Architect
    $project_settings->add_field( array(
        'name'    => esc_html__( 'Architect:', 'ova-project' ),
        'default' => esc_html__( 'Mike hardson', 'ova-project' ),
        'id'      => $prefix.'architect',
        'type'    => 'text',
    ) );

    // Duration
    $project_settings->add_field( array(
        'name'    => esc_html__( 'Duration:', 'ova-project' ),
        'default' => esc_html__( '4.5 Months', 'ova-project' ),
        'id'      => $prefix.'duration',
        'type'    => 'text',
    ) );

    // Localtion
    $project_settings->add_field( array(
        'name'    => esc_html__( 'Location:', 'ova-project' ),
        'default' => esc_html__( 'Broklyn, New York', 'ova-project' ),
        'id'      => $prefix.'location',
        'type'    => 'text',
    ) );
}
