(function($){
    "use strict";

    $(window).on('elementor/frontend/init', function () {

        /* ajax project filter  */
        elementorFrontend.hooks.addAction('frontend/element_ready/ova_elementor_project_filter_ajax.default', function(){
            $('.ova-project-slider').each( function(){
            var that = $(this);
            var btn     = that.find('.project-filter-button');
            
            //load init
            load_ajax('all');
            
            btn.each( function() {
                $(this).on('click', function() {

                    that.find(".project-filter-button").removeClass("active-category");
                    $(this).addClass("active-category");
                    var term = $(this).attr( "data-slug" );
                    load_ajax(term);

                });
            });  

            });
        });
    
        function project_filter_ajax_slide () {
            $(".slide-project").each(function(){

                var owlsl     = $(this);

                var owlsl_ops = owlsl.data('options') ? owlsl.data('options') : {};
                var responsive_value = {
                    0:{
                        items:1,
                        stagePadding : 0,
                        nav: false,
                        dots: owlsl_ops.dots
                    },
                    620:{
                        items:1,
                        stagePadding : 0,
                        nav: false,
                        dots: owlsl_ops.dots
                    },
                    1024:{
                        items:1,
                        nav: false,
                        dots: owlsl_ops.dots
                    },
                    1300:{
                        items:owlsl_ops.items 
                    }
                };
              
                owlsl.owlCarousel({
                    rtl:false,
                    margin: owlsl_ops.margin,
                    stagePadding : owlsl_ops.stagePadding,
                    items: owlsl_ops.items,
                    loop: owlsl_ops.loop,
                    autoplay: owlsl_ops.autoplay,
                    autoplayTimeout: owlsl_ops.autoplayTimeout,
                    center: false,
                    nav: owlsl_ops.nav,
                    dots: false,
                    thumbs: owlsl_ops.thumbs,
                    autoplayHoverPause: owlsl_ops.autoplayHoverPause,
                    slideBy: owlsl_ops.slideBy,
                    smartSpeed: owlsl_ops.smartSpeed,
                    navText:[
                    '<i class="' + owlsl_ops.iconPrev + '"></i><span>'+ owlsl_ops.text_previous_control +'</span>',
                    '<span>'+ owlsl_ops.text_next_control +'</span><i class="' + owlsl_ops.iconNext + '"></i>'
                    ],
                    responsive: responsive_value,
                });

                /* Fixed WCAG */
                owlsl.find(".owl-nav button.owl-prev").attr("title", "Previous");
                owlsl.find(".owl-nav button.owl-next").attr("title", "Next");
                owlsl.find(".owl-dots button").attr("title", "Dots");

            });

        }

        function photo_gallery(){
            $('.content-item').each( function(){
                var that = $(this);
                var photo = that.find('.button-gallery');
                
                photo.on('click', function(){
                
                    $('[data-fancybox="preview-data"]').fancybox({
                        // selector : '.owl-item:not(.cloned) a',
                        
                        buttons : [
                            'zoom',
                            'download',
                            'close'
                        ],

                        afterLoad : function(instance, current) {
                            var current_index = current.index;

                            $(".owl-item").removeClass('active');
                            $( ".owl-item:nth-child("+ current_index +")" ).addClass('active');

                            
                        },
                        afterShow: function(instance, current) {
                            var current_index = current.index;
                            $('.slide-project').trigger('to.owl.carousel', current.index);
                      }

                    });
                });
            });
        }

        function load_ajax($term){
            
            $.ajax({
               url: ajax_object.ajax_url,
               type: 'POST',
               data: ({
                   action: 'ova_load_project_filter',
                   term: $term,
             }),
                success: function(data){
                    if ( data != 0 ){
                        
                        $('.content-item ').empty();
                        $('.content-item ').append(data).fadeIn(300);
                        $('.content-item').trigger('destroy.owl.carousel');
                         
                        project_filter_ajax_slide();
                        photo_gallery();
                    }
                }
            });
        }         
         
    });

})(jQuery);