<?php
/**
 * @package    OVA Project by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Border;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Ova_Elementor_Photo_Gallery extends Widget_Base {

	public function get_name() {
		return 'ova_elementor_photo_gallery';
	}

	public function get_title() {
		return esc_html__( 'Photo Gallery', 'ova-project' );
	}

	public function get_icon() {
		return 'eicon-gallery-justified';
	}

	public function get_categories() {
		return [ 'ovapro' ];
	}

	public function get_script_depends() {

  		wp_enqueue_script('project-fancybox', OVAPRO_PLUGIN_URI.'assets/libs/fancybox/fancybox.min.js', array('jquery'),null,true);
		wp_enqueue_style('project-fancybox', OVAPRO_PLUGIN_URI.'assets/libs/fancybox/fancybox.css', array(), null);

  		return [ 'ova-elementor-photo-gallery' ];
	}


	protected function render() {

		$settings = $this->get_settings();
	
		$template = apply_filters( 'el_ovapro_photo_gallery', 'elementor/photo_gallery.php' );

		ob_start();
		ovapro_get_template( $template, $settings );
		echo ob_get_clean();
		
	}
}

$widgets_manager->register( new Ova_Elementor_Photo_Gallery() );