<?php if ( !defined( 'ABSPATH' ) ) exit();

if ( ! class_exists( 'Ova_Project_Filter_Ajax' ) ) {

	class Ova_Project_Filter_Ajax{

		public function __construct(){

			add_action( 'wp_ajax_ova_load_project_filter', array( $this, 'ova_load_project_filter') );
			add_action( 'wp_ajax_nopriv_ova_load_project_filter', array( $this, 'ova_load_project_filter') );

			//project ajax filter 2
			add_action( 'wp_ajax_ova_load_project_filter_2', array( $this, 'ova_load_project_filter_2') );
			add_action( 'wp_ajax_nopriv_ova_load_project_filter_2', array( $this, 'ova_load_project_filter_2') );
		
		}

		public function ova_load_project_filter(){

			$term       = isset( $_POST['term'] ) ? sanitize_text_field( $_POST['term'] ) : 'all';

			if( $term != "all" ) {

				$args = array(
				    'post_type'   => 'ova_projects',
				    'posts_per_page' => -1,
				    'post_status' => array( 'publish' ),
				    'tax_query' => array(
				        array(
				            'taxonomy' => 'category_project',
				            'field'    => 'slug',
				            'terms'    => $term, 
				        ),
				    ),
				    'orderby' => 'meta_value_num',
				    'order' => 'ASC',
				    'meta_type' => 'NUMERIC',
				);

			} else {
				$args = array(
				    'post_type'   => 'ova_projects',
				    'posts_per_page' => -1,
				    'post_status' => array( 'publish' ),
				    'tax_query' => array(
				        array(
				            'taxonomy' => 'category_project',
				            'operator' => 'EXISTS'
				        ),
				    ),
				    'orderby' => 'meta_value_num',
				    'order' => 'ASC',
				    'meta_type' => 'NUMERIC',
				);
			}
			
			

			$list_project = new \WP_Query( $args );

			$results = '';

			ob_start();


			if( $list_project->have_posts() ) : while( $list_project->have_posts() ) : $list_project->the_post();

				$id = get_the_ID();
	            ovapro_get_template( 'parts/items/item-filter-ajax.php', array( 'id' => $id ) );
				   
		    endwhile; else: wp_reset_postdata(); 
		
			endif; wp_reset_postdata(); 

			$results = ob_get_contents();
			ob_end_clean();

			echo $results;

			wp_die();
	            
	    }

	    public function ova_load_project_filter_2(){

	    	$term           = isset( $_POST['term'] ) ? sanitize_text_field( $_POST['term'] ) : 'all';
	    	$post_per_page  = isset( $_POST['post_per_page'] ) ? sanitize_text_field( $_POST['post_per_page'] ) : '5';
	    	$orderby        = isset( $_POST['orderby'] ) ? sanitize_text_field( $_POST['orderby'] ) : 'post_date';
	    	$order       	= isset( $_POST['order'] ) ? sanitize_text_field( $_POST['order'] ) : 'DESC';
	    	$offset       	= isset( $_POST['offset'] ) ? sanitize_text_field( $_POST['offset'] ) : '0';
	    	$show_link      = isset( $_POST['show_link'] ) ? sanitize_text_field( $_POST['show_link'] ) : 'yes';

	    	if( $term != "all" ) {

				$args = array(
				    'post_type'   => 'ova_projects',
				    'posts_per_page' => $post_per_page,
				    'post_status' => array( 'publish' ),
				    'tax_query' => array(
				        array(
				            'taxonomy' => 'year_project',
				            'field'    => 'slug',
				            'terms'    => $term, 
				        ),
				    ),
				    'orderby' => $orderby,
				    'meta_type' => 'NUMERIC',
				);

			} else {
				$args = array(
				    'post_type'   => 'ova_projects',
				    'posts_per_page' => $post_per_page,
				    'post_status' => array( 'publish' ),
				    'tax_query' => array(
				        array(
				            'taxonomy' => 'category_project',
				            'operator' => 'EXISTS'
				        ),
				    ),
				    'orderby' => $orderby,
				    'order' => $order, 
				    'meta_type' => 'NUMERIC',
				);
			}

			$list_project = new \WP_Query( $args );

			$results = '';

			ob_start();

			if( $list_project->have_posts() ) : while( $list_project->have_posts() ) : $list_project->the_post();

				$id = get_the_ID();
	            ovapro_get_template( 'parts/items/project-filter-2.php', array( 'id' => $id, 'show_link_to_detail' => $show_link ) );
				   
		    endwhile; else: wp_reset_postdata(); 
		
			endif; wp_reset_postdata(); 
			

			$results = ob_get_contents();
			ob_end_clean();

			echo $results;

			wp_die();

	    }
	}

	new Ova_Project_Filter_Ajax();
}