<?php
/**
 * @package    OVA Project by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */
if ( !defined( 'ABSPATH' ) ) exit();

    if ( isset( $args['id'] ) && $args['id'] ) {
        $id = $args['id'];
    } else {
        $id = get_the_id();
    }

    $service          = get_post_meta( $id, 'ova_project_service', true );
    $architect        = get_post_meta( $id, 'ova_project_architect', true );
    $duration         = get_post_meta( $id, 'ova_project_duration', true );
    $location         = get_post_meta( $id, 'ova_project_location', true );
    $list_social      = get_post_meta( $id, 'ova_project_group_icon', true );

    $show_service     = isset( $args['show_service'] ) ? $args['show_service'] : 'yes' ;
    $show_architect   = isset( $args['show_architect'] ) ? $args['show_architect'] : 'yes' ;
    $show_duration    = isset( $args['show_duration'] ) ? $args['show_duration'] : 'yes' ;
    $show_location    = isset( $args['show_location'] ) ? $args['show_location'] : 'yes' ;

    $no_data = '';
    if(
        ( empty( $service ) ) 
        &&  ( empty( $architect )
        && ( empty( $duration ) )
        &&  ( empty( $location ) )
        &&  ( empty( $list_social ) )
    )){
        $no_data = 'no data';
    }
   
    $show_share_social  = get_theme_mod( 'project_single_show_share_social_icon', 'yes' );

?>

<div class="data-project"> 

    <?php if( ( $show_service == 'yes' ) && ( !empty( $service ) ) ) { ?>
        <div class="service item">
        	<span class="sub-title"> Service: </span>
            <h4 class="title"> <?php echo esc_html( $service ); ?> </h4>
        </div>
    <?php } ?> 

    <?php if( ( $show_architect == 'yes' ) && ( !empty( $architect ) ) ) { ?>
        <div class="architect item">
            <span class="sub-title"> Architect: </span>
            <h4 class="title"> <?php echo esc_html( $architect ); ?> </h4>
        </div>
    <?php } ?> 

    <?php if( ( $show_duration == 'yes' ) && ( !empty( $duration ) ) ) { ?>
        <div class="duration item">
            <span class="sub-title"> Duration: </span>
            <h4 class="title"> <?php echo esc_html( $duration ); ?> </h4>
        </div>
    <?php } ?>

    <?php if( ( $show_location == 'yes' ) && ( !empty( $location ) ) ) { ?>

            <div class="location item">
                <span class="sub-title"> Location: </span>
                <h4 class="title"> <?php echo esc_html( $location ); ?> </h4>
            </div>

    <?php } ?>

    <?php if( $show_share_social == 'yes' ){ ?>
        <?php apply_filters( 'ova_share_social', get_the_permalink(), get_the_title()  ); ?>
    <?php } ?>

    <?php 
    if(!empty($no_data)){ ?>
        <h2><?php echo esc_html($no_data); ?></h2>
    <?php } ?>

</div>