<?php
/**
 * @package    OVA Project by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( ! defined( 'ABSPATH' ) ) exit;

    if ( isset( $args['id'] ) && $args['id'] ) {
        $id = $args['id'];
    } else {
        $id = get_the_id();
    }

$projects   = ovapro_get_data_project_el( $args );

$hide_empty = $args['show_category_empty'] == 'yes' ? 0 : 1 ;

$pro_args = array(
   'taxonomy' => 'category_project',
   'orderby'  => 'name',
   'order'    => 'ASC',
   'hide_empty' => $hide_empty, 
);

$catAll = esc_html__('All', 'ova-project') ;
$categories = get_categories($pro_args);


$year_args = array(
    'taxonomy'   => 'year_project',
    'orderby'    => 'name',
    'order'      => 'DESC',
    'hide_empty' => $hide_empty, 
    );

$years = get_categories($year_args);

?>


<div class="ova-project project-filter">

    <?php  if( $args['template'] === 'template1' ): ?>

        <?php if( $show_category == 'yes' ): ?>
            <ul class="project-filter-button-wrapper">

                <li class="project-filter-button active-category" data-filter="*">
                    <?php echo esc_html( $catAll ); ?>
                </li>

                <?php foreach ( $years as $year ) : 
                    $name = $year->name;
                    $slug = $year->slug;
                ?>
                    <li class="project-filter-button" data-slug=".<?php echo esc_attr($slug);?>">
                        <?php echo esc_html( $name ); ?>
                    </li>
                <?php endforeach; ?>

            </ul>    
        <?php endif; ?> 
          
        <div class="content-pro masonry-project four_column">

            <?php if($projects->have_posts() ) : while ( $projects->have_posts() ) : $projects->the_post(); ?>

                <?php   ovapro_get_template( 'parts/items/item-template-5.php', $args ); ?>
                    
            <?php endwhile; endif;

             wp_reset_postdata(); ?>
            
        </div>
        
    <?php endif; ?>


    <?php  if( $args['template'] === 'template2' ): ?>
        <?php if( $show_category == 'yes' ): ?>
            <ul class="project-filter-button-wrapper">

                <li class="project-filter-button active-category" data-filter="*">
                    <?php echo esc_html( $catAll ); ?>
                </li>

                <?php foreach ( $categories as $cate ) : 
                    $name = $cate->name;
                    $slug = $cate->slug;
                ?>

                    <li class="project-filter-button" data-slug=".<?php echo esc_attr($slug);?>">
                        <?php echo esc_html( $name ); ?>
                    </li>
                   
                <?php endforeach; ?>

            </ul>
        <?php endif; ?> 
        <div class="content-pro grid-project <?php echo esc_attr( $number_column ) ?>">

            <?php if($projects->have_posts() ) : while ( $projects->have_posts() ) : $projects->the_post(); ?>

                <?php ovapro_get_template( 'parts/items/item-template-6.php', $args ); ?>
                    
            <?php endwhile; endif; wp_reset_postdata(); ?>
            
        </div>
    <?php endif; ?>

    <div class="ova-nodata">
        <h4><?php echo esc_html__('no data','ova-project'); ?></h4>
    </div>
</div>