<?php
/**
 * @package    OVA Project by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( ! defined( 'ABSPATH' ) ) exit;

    if ( isset( $args['id'] ) && $args['id'] ) {
        $id = $args['id'];
    } else {
        $id = get_the_id();
    }

$hide_empty = $args['category_empty'] == 'yes' ? 0 : 1 ;



$pro_args = array(
   'taxonomy' => 'category_project',
   'orderby' => 'name',
   'order'   => 'ASC'
    );

$catAll = esc_html__('All', 'ova-project') ;
$categories = get_categories($pro_args);


$year_args = array(
    'taxonomy' => 'year_project',
    'orderby' => 'name',
    'order'   => 'DESC',
    'hide_empty' => $hide_empty, 
    );

$years = get_categories($year_args);
?>


<div class="ova-project project-filter-2">

        <!--  -->

        <?php if( $show_category == 'yes' ): ?>
            <ul class="project-filter-button-wrapper">

                <li class="project-filter-button active-category" data-filter="*">
                    <?php echo esc_html( $catAll ); ?>
                </li>

                <?php foreach ( $years as $year ) : 
                    $name = $year->name;
                    $slug = $year->slug;
                ?>
                <li class="project-filter-button" data-slug="<?php echo esc_attr($slug);?>">
                    <?php echo esc_html( $name ); ?>
                </li>
                <?php endforeach; ?>

            </ul>    
        <?php endif; ?> 
          
        <div class="project-item-filter-2" 
            data-count      = "<?php echo esc_attr($args['total_count']); ?>" 
            data-orderby    = "<?php echo esc_attr($args['orderby_post']); ?>"
            data-order      = "<?php echo esc_attr($args['order']); ?>"
            data-offset     = "<?php echo esc_attr($args['offset']); ?>"
            data-show_link  = "<?php echo esc_attr($args['show_link_to_detail']); ?>"
            >
            
        </div>
        <div class="wrap_loader">
            <svg class="loader" width="50" height="50">
                <circle cx="25" cy="25" r="10" />
                <circle cx="25" cy="25" r="20" />
            </svg>
        </div>
        <div class="ova-nodata">
           <h4><?php  echo esc_html('no data'); ?></h4>
        </div>
 
</div>