<?php
/**
 * @package    OVA Project by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( ! defined( 'ABSPATH' ) ) exit;

    if ( isset( $args['id'] ) && $args['id'] ) {
        $id = $args['id'];
    } else {
        $id = get_the_id();
    }

    $projects     = ovapro_get_data_project_el( $args );

    $pro_args = array(
       'taxonomy' => 'category_project',
       'orderby' => 'name',
       'order'   => 'ASC'
        );

    $catAll = esc_html__('All', 'ova-project') ;
    $categories = get_categories($pro_args);
    $count_posts = wp_count_posts( 'ova_projects' )->publish;

    // Additional Options Slide
    $data_options['items']              = isset( $args['item_number'] ) ? $args['item_number'] : 3 ;
    $data_options['slideBy']            = isset( $args['slides_to_scroll'] ) ? $args['slides_to_scroll'] : 1 ;
    $data_options['margin']             = isset( $args['margin_items'] ) ? $args['margin_items'] : 30 ;
    $data_options['autoplayTimeout']    = isset( $args['autoplay_speed'] ) ? $args['autoplay_speed'] : 3000;
    $data_options['smartSpeed']         = isset( $args['smartspeed'] ) ? $args['smartspeed'] : 500;
    $data_options['stagePadding']       = isset( $args['stagePadding'] ) ? $args['stagePadding'] : 0 ;
    $data_options['autoplayHoverPause'] = $args['pause_on_hover'] === 'yes' ? true : false;
    $data_options['loop']               = $args['infinite'] === 'yes' ? true : false;
    $data_options['autoplay']           = $args['autoplay'] === 'yes' ? true : false;
    $data_options['nav']                = $args['nav_control'] === 'yes' ? true : false;
    $data_options['dots']               = $args['dots_control'] === 'yes' ? true : false;

    $data_options['iconPrev']           = isset( $args['class_icon_prev_control']['value'] )  ? $args['class_icon_prev_control']['value'] : 'flaticon flaticon-left-arrow-1';
    $data_options['iconNext']           = isset( $args['class_icon_next_control']['value'] )  ? $args['class_icon_next_control']['value'] : 'flaticon flaticon-right-arrow-1';

    $data_options['text_previous_control'] = isset( $args['text_previous_control'] ) ? $args['text_previous_control'] : 'Previous' ;
    $data_options['text_next_control'] = isset( $args['text_next_control'] ) ? $args['text_next_control'] : 'Next' ;


?>

<div class="ova-project-slider">

    <ul class="project-filter-category">

        <li class="project-filter-button active-category" data-slug="all">
            <span class="category"><?php echo esc_html( $catAll ); ?></span>
            <span class="category-total"><?php echo esc_html( $count_posts ); ?></span>
            <span class="line-1"></span>
            <span class="line-2"></span>
        </li>

        <?php foreach ( $categories as $categorie ) : 
            $name = $categorie->name;
            $slug = $categorie->slug;
            $total= $categorie->category_count;
        ?>
        <li class="project-filter-button" data-slug="<?php echo esc_attr($slug);?>">
            <span class="category"><?php echo esc_html( $name ); ?> </span>
            <span class="category-total"><?php echo esc_html( $total ); ?></span>
            <span class="line-1"></span>
            <span class="line-2"></span>
        </li>
        <?php endforeach; ?>

    </ul>
   
    <div class="content-item slide-project owl-carousel owl-theme" data-options="<?php echo esc_attr(json_encode($data_options)); ?>">
    
    
    </div>
        
  
    

</div>