<?php if ( !defined( 'ABSPATH' ) ) exit();

	if ( isset( $args['id'] ) && $args['id'] ) {
		$id = $args['id'];
	} else {
		$id = get_the_id();
	}
    
    $template = isset( $args['template'] ) ? $args['template'] : 'template2' ;
	$target   = ( isset( $args['target_blank'] ) && ( 'yes' === $args['target_blank'] ) ) ? "target='_blank'" : '' ;

    $thumbnail   = wp_get_attachment_image_url( get_post_thumbnail_id( $id ), 'large' );
	$class_icon  = get_post_meta( $id, 'ova_sev_met_icon', true );
	$title       = get_the_title();
	$description = get_the_excerpt();

    $custom_link = get_post_meta( $id, 'ova_sev_met_custom_link', true );
	$permalink   = get_the_permalink($id);

	if( !empty($custom_link) ) {
		$permalink   = $custom_link;
	}

?>

	<?php if( $template === 'template1' ) :
	    if ( $thumbnail == '') {
	    	$thumbnail   =  \Elementor\Utils::get_placeholder_image_src();
	    }
		?>

		<div class="ova-service-box-<?php echo esc_attr( $template ); ?>">

		    <div class="img-service">
		    	<a href="<?php echo esc_url($permalink); ?>" <?php echo esc_attr($target); ?> title="<?php echo esc_attr( $title ); ?>">	
		    		<img src="<?php echo esc_attr( $thumbnail ) ; ?>" alt="<?php echo esc_attr( $title ); ?>">
		    	</a>
		    	<?php if (!empty( $class_icon )): ?>
					<div class="icon">
						<i class="<?php echo esc_attr( $class_icon ); ?>"></i>
					</div>
				<?php endif;?>
		    </div>
		    
		    <div class="info">
		    	<a href="<?php echo esc_url($permalink); ?>" <?php echo esc_attr($target); ?> title="<?php echo esc_attr( $title ); ?>">

		        <?php if (!empty( $title )): ?>
					<h4 class="title">
						<?php echo esc_html( $title ); ?>
					</h4>
				<?php endif;?>

				</a>

				<?php if (!empty( $description )): ?>
					<p class="description">
						<?php echo esc_html( $description ); ?>
					</p>
				<?php endif;?>

				<a class="next-button" href="<?php echo esc_url($permalink); ?>" <?php echo esc_attr($target); ?> title="<?php echo esc_attr( $title ); ?>">
					<i class="ovaicon ovaicon-next"></i>
				</a>
		    </div>

		</div>

	<?php elseif( $template === 'template2' ) : ?>

	    <div class="ova-service-box-<?php echo esc_attr( $template ); ?>">

	    <div class="mask"
	        <?php if (!empty( $thumbnail )): ?> 
		    	 	style="background-image: url(<?php echo esc_attr( $thumbnail ) ; ?>)"
		    	<?php endif;?>
	    >	
	    </div>

		<?php if (!empty( $class_icon )): ?>
			<div class="icon">
				<i class="<?php echo esc_attr( $class_icon ); ?>"></i>
			</div>
		<?php endif;?>

		<a href="<?php the_permalink(); ?>" <?php echo esc_attr($target); ?> title="<?php echo esc_attr( $title ); ?>">

	        <?php if (!empty( $title )): ?>
				<h4 class="title">
					<?php echo esc_html( $title ); ?>
				</h4>
			<?php endif;?>

		</a>

		<?php if (!empty( $description )): ?>
			<p class="description">
				<?php echo esc_html( $description ); ?>
			</p>
		<?php endif;?>

		<a class="next-button" href="<?php the_permalink(); ?>" <?php echo esc_attr($target); ?> title="<?php echo esc_attr( $title ); ?>">
			<i class="ovaicon ovaicon-next"></i>
		</a>

	</div>	    

	<?php endif;?>