<?php if ( !defined( 'ABSPATH' ) ) exit();

	if ( isset( $args['id'] ) && $args['id'] ) {
		$id = $args['id'];
	} else {
		$id = get_the_id();
	}

	//category
	$category     = get_the_terms($id, 'category_project');
	$avatar   	  = wp_get_attachment_image_url( get_post_thumbnail_id( $id ), 'large' ); 
	$cat_slug 	  = get_cat_slug_pro_by_id_pro( $id );
	

	//photo gallery
	$files = get_post_meta( $id, 'ova_project_gallery' , 1 );

?>

<div class="project-slider  <?php echo esc_attr($cat_slug);?>">

	<div class="img-project">	
	    <a href="<?php echo esc_url( $avatar ); ?>" data-fancybox="preview-data" data-caption="<?php the_title(); ?>">

	    	<img src="<?php echo esc_url( $avatar ); ?>" class="img-responsive project-img" alt="<?php the_title(); ?>">
	    	
	    	<div class="button-gallery">
	    		<i aria-hidden="true" class="ovaicon ovaicon-plus"></i>
	    	</div>

		</a>
	</div>

	<!-- Info -->
	<div class="info">

		<!-- Category -->
		<?php if( ! empty( $category ) ) { ?>
			<div class="project-category">
				<?php 
					$arr_link = array();
					foreach( $category as $cat ) { 
				        $category_link = get_term_link($cat->term_id);
				        if ( $category_link ) {
				        	$link = '<a href="'.esc_url( $category_link ).'" title="'.esc_attr($cat->name).'">'.$cat->name.'</a>';
                        	array_push( $arr_link, $link );
				        }
					}
					if ( !empty( $arr_link ) && is_array( $arr_link ) ) { 
						 echo join(esc_html(','), $arr_link); 
					} ?>
				
				<div class="line"></div>
			</div>
		<?php } ?>

		<h3 class="name">
			<a href="<?php the_permalink(); ?>" >
				<?php the_title(); ?>
			</a>
		</h3>

		<div class="mask"></div> 
		
	</div>
	
</div>