<?php if ( !defined( 'ABSPATH' ) ) exit();

	if ( isset( $args['id'] ) && $args['id'] ) {
		$id = $args['id'];
	} else {
		$id = get_the_id();
	}

	$type         = isset( $args['type'] ) ?  $args['type'] : '';

	// get size portfolio image by type layout
    if ( $type == '' || $type == 'grid-project' ) {
        $image   = wp_get_attachment_image_url( get_post_thumbnail_id( $id ), 'large' ); 
	}

	$category     = get_the_terms($id, 'category_project');
	$show_link_to = isset( $args['show_link_to_detail'] ) ? $args['show_link_to_detail'] : 'yes' ;
	$cat_slug = get_cat_slug_pro_by_id_pro( $id );
	

?>
	<div class="project-item">
		<div class="img-project">
		
			<!-- Image -->
			<?php if( $show_link_to == 'yes' ): ?>
		    <a href="<?php the_permalink(); ?>" >
		    <?php endif; ?>	
		    	<img src="<?php echo esc_url( $image ) ?>" class="img-responsive project-img" alt="<?php the_title() ?>">
		    <?php if( $show_link_to == 'yes' ): ?>
			</a>
			<?php endif; ?>	

		</div>
		<div class="info">
			<h3 class="name">
				<?php if( $show_link_to == 'yes' ): ?>
			    <a href="<?php the_permalink(); ?>" >
			    <?php endif; ?>	

					<?php the_title(); ?>

				<?php if( $show_link_to == 'yes' ): ?>
				</a>
				<?php endif; ?>	

			</h3>
			<!-- Category -->
			<?php if( ! empty( $category ) ) { ?>
				<div class="project-category">
					<?php 
						$arr_link = array();
						foreach( $category as $cat ) { 
					        $category_link = get_term_link($cat->term_id);
					        if ( $category_link ) {
					        	$link = '<a href="'.esc_url( $category_link ).'" title="'.esc_attr($cat->name).'">'.$cat->name.'</a>';
	                        	array_push( $arr_link, $link );
					        }
						}
						if ( !empty( $arr_link ) && is_array( $arr_link ) ) {
							echo join(', ', $arr_link);
						}
					?>	
				</div>
			<?php } ?>
			
		</div>
		
	</div>
	