<?php if ( !defined( 'ABSPATH' ) ) exit();

	if ( isset( $args['id'] ) && $args['id'] ) {
		$id = $args['id'];
	} else {
		$id = get_the_id();
	}

	$category     = get_the_terms($id, 'category_project');
	$type         = isset( $args['type'] ) ?  $args['type'] : '';

	$avatar   = wp_get_attachment_image_url( get_post_thumbnail_id( $id ), 'retirio_project_thumbnail' ); 
   

	
	$show_link_to = isset( $args['show_link_to_detail'] ) ? $args['show_link_to_detail'] : 'yes' ;
	$cat_slug = get_cat_slug_pro_by_id_pro( $id );

?>

<div class="ovapro-item item-project-6 <?php echo esc_attr($cat_slug);?>">

	<div class="img-project">
		
		<!-- Image -->
		<?php if( $show_link_to == 'yes' ): ?>
	    <a href="<?php the_permalink(); ?>" >
	    <?php endif; ?>	
	    	<img src="<?php echo esc_url( $avatar ) ?>" class="img-responsive project-img" alt="<?php the_title() ?>">
	    <?php if( $show_link_to == 'yes' ): ?>
		</a>
		<?php endif; ?>	

	</div>

	<!-- Info -->
	<div class="info">

		<!-- Category -->
		<?php if( ! empty( $category ) ) { ?>
			<div class="project-category">
				<?php 
					$arr_link = array();
					foreach( $category as $cat ) { 
				        $category_link = get_term_link($cat->term_id);
				        if ( $category_link ) {
				        	$link = '<a href="'.esc_url( $category_link ).'" title="'.esc_attr($cat->name).'">'.$cat->name.'</a>';
                        	array_push( $arr_link, $link );
				        }
					}
					if ( !empty( $arr_link ) && is_array( $arr_link ) ) {
						echo join(', ', $arr_link);
					}
				?>	
			</div>
		<?php } ?>

		<h3 class="name">
			<?php if( $show_link_to == 'yes' ): ?>
		    	<a href="<?php the_permalink(); ?>" >
		    <?php endif; ?>	
		    
				<?php the_title(); ?>

			<?php if( $show_link_to == 'yes' ): ?>
				</a>
			<?php endif; ?>	
		</h3>

	</div>
	
</div>